Index: LMDZ6/branches/Amaury_dev/libf/phylmdiso/add_phys_tend_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmdiso/add_phys_tend_mod.F90	(revision 5110)
+++ LMDZ6/branches/Amaury_dev/libf/phylmdiso/add_phys_tend_mod.F90	(revision 5112)
@@ -147,6 +147,6 @@
 #endif
 USE phys_state_var_mod, ONLY: ftsol
-USE geometry_mod, ONLY: longitude_deg, latitude_deg
-USE print_control_mod, ONLY: prt_level
+USE lmdz_geometry, ONLY: longitude_deg, latitude_deg
+USE lmdz_print_control, ONLY: prt_level
 USE cmp_seri_mod
 USE phys_output_var_mod, ONLY: d_qw_col, d_ql_col, d_qs_col, d_qbs_col, d_qt_col, d_ek_col, d_h_dair_col &
@@ -680,6 +680,6 @@
 
 USE phys_state_var_mod, ONLY: phys_tstep, ftsol
-USE geometry_mod, ONLY: longitude_deg, latitude_deg
-USE print_control_mod, ONLY: prt_level
+USE lmdz_geometry, ONLY: longitude_deg, latitude_deg
+USE lmdz_print_control, ONLY: prt_level
 USE cmp_seri_mod
 USE phys_output_var_mod, ONLY: d_qw_col, d_ql_col, d_qs_col, d_qbs_col, d_qt_col, d_ek_col, d_h_dair_col &
@@ -908,6 +908,6 @@
 USE phys_state_var_mod, ONLY: phys_tstep
 USE phys_state_var_mod, ONLY: topsw, toplw, solsw, sollw, rain_con, snow_con, bs_fall
-USE geometry_mod, ONLY: longitude_deg, latitude_deg
-USE print_control_mod, ONLY: prt_level
+USE lmdz_geometry, ONLY: longitude_deg, latitude_deg
+USE lmdz_print_control, ONLY: prt_level
 USE cmp_seri_mod
 USE phys_output_var_mod, ONLY: d_qw_col, d_ql_col, d_qs_col, d_qbs_col, d_qt_col, d_ek_col, d_h_dair_col &
Index: LMDZ6/branches/Amaury_dev/libf/phylmdiso/add_wake_tend.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmdiso/add_wake_tend.F90	(revision 5110)
+++ LMDZ6/branches/Amaury_dev/libf/phylmdiso/add_wake_tend.F90	(revision 5112)
@@ -16,5 +16,5 @@
                               wake_dens, awake_dens
 
-USE print_control_mod, ONLY: prt_level
+USE lmdz_print_control, ONLY: prt_level
 #ifdef ISO
     USE infotrac_phy, ONLY: ntiso    
Index: LMDZ6/branches/Amaury_dev/libf/phylmdiso/calwake.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmdiso/calwake.F90	(revision 5110)
+++ LMDZ6/branches/Amaury_dev/libf/phylmdiso/calwake.F90	(revision 5112)
@@ -33,5 +33,5 @@
   USE phys_state_var_mod, ONLY: pctsrf
   USE indice_sol_mod, ONLY: is_oce
-  USE print_control_mod, ONLY: mydebug=>debug , lunout, prt_level
+  USE lmdz_print_control, ONLY: mydebug=>debug , lunout, prt_level
   USE lmdz_wake, ONLY: wake
 #ifdef ISO
Index: LMDZ6/branches/Amaury_dev/libf/phylmdiso/change_srf_frac_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmdiso/change_srf_frac_mod.F90	(revision 5110)
+++ LMDZ6/branches/Amaury_dev/libf/phylmdiso/change_srf_frac_mod.F90	(revision 5112)
@@ -33,5 +33,5 @@
     USE ocean_slab_mod, ONLY: fsic, ocean_slab_frac
     USE indice_sol_mod
-    USE print_control_mod, ONLY: lunout
+    USE lmdz_print_control, ONLY: lunout
 #ifdef ISO
   USE infotrac_phy, ONLY: ntiso    
Index: LMDZ6/branches/Amaury_dev/libf/phylmdiso/concvl.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmdiso/concvl.F90	(revision 5110)
+++ LMDZ6/branches/Amaury_dev/libf/phylmdiso/concvl.F90	(revision 5112)
@@ -62,5 +62,5 @@
 #endif
   USE phys_local_var_mod, ONLY: omega
-  USE print_control_mod, ONLY: prt_level, lunout
+  USE lmdz_print_control, ONLY: prt_level, lunout
   IMPLICIT NONE
 ! ======================================================================
Index: LMDZ6/branches/Amaury_dev/libf/phylmdiso/cv30_routines.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmdiso/cv30_routines.F90	(revision 5110)
+++ LMDZ6/branches/Amaury_dev/libf/phylmdiso/cv30_routines.F90	(revision 5112)
@@ -945,5 +945,5 @@
 #endif
           )
-  USE print_control_mod, ONLY: lunout
+  USE lmdz_print_control, ONLY: lunout
 #ifdef ISO
     use infotrac_phy, ONLY: ntraciso=>ntiso
Index: LMDZ6/branches/Amaury_dev/libf/phylmdiso/cv3_routines.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmdiso/cv3_routines.F90	(revision 5110)
+++ LMDZ6/branches/Amaury_dev/libf/phylmdiso/cv3_routines.F90	(revision 5112)
@@ -7,5 +7,5 @@
 SUBROUTINE cv3_param(nd, k_upper, delt)
 
-  USE ioipsl_getin_p_mod, ONLY: getin_p
+  USE lmdz_ioipsl_getin_p, ONLY: getin_p
   use lmdz_phys_para
 
@@ -323,5 +323,5 @@
   USE lmdz_phys_transfert_para, ONLY: bcast
   USE add_phys_tend_mod, ONLY: fl_cor_ebil
-  USE print_control_mod, ONLY: prt_level
+  USE lmdz_print_control, ONLY: prt_level
   IMPLICIT NONE
 
@@ -1265,5 +1265,5 @@
 #endif
           )
-  USE print_control_mod, ONLY: lunout
+  USE lmdz_print_control, ONLY: lunout
 #ifdef ISO
     use infotrac_phy, ONLY: ntraciso=>ntiso
@@ -1463,5 +1463,5 @@
 #endif
          )
-  USE print_control_mod, ONLY: prt_level
+  USE lmdz_print_control, ONLY: prt_level
 #ifdef ISO
 use infotrac_phy, ONLY: ntraciso=>ntiso
@@ -3584,5 +3584,5 @@
 #endif
                    )
-  USE print_control_mod, ONLY: prt_level, lunout
+  USE lmdz_print_control, ONLY: prt_level, lunout
 #ifdef ISO
     use infotrac_phy, ONLY: ntraciso=>ntiso
@@ -4692,5 +4692,5 @@
                           )
 
-    USE print_control_mod, ONLY: lunout, prt_level
+    USE lmdz_print_control, ONLY: lunout, prt_level
     USE add_phys_tend_mod, ONLY: fl_cor_ebil
 
Index: LMDZ6/branches/Amaury_dev/libf/phylmdiso/cv3p_mixing.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmdiso/cv3p_mixing.F90	(revision 5110)
+++ LMDZ6/branches/Amaury_dev/libf/phylmdiso/cv3p_mixing.F90	(revision 5112)
@@ -17,6 +17,6 @@
 ! **************************************************************
 
-  USE print_control_mod, ONLY: mydebug=>debug , lunout, prt_level
-  USE ioipsl_getin_p_mod, ONLY: getin_p
+  USE lmdz_print_control, ONLY: mydebug=>debug , lunout, prt_level
+  USE lmdz_ioipsl_getin_p, ONLY: getin_p
   USE add_phys_tend_mod, ONLY: fl_cor_ebil
 #ifdef ISO
Index: LMDZ6/branches/Amaury_dev/libf/phylmdiso/cv_driver.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmdiso/cv_driver.F90	(revision 5110)
+++ LMDZ6/branches/Amaury_dev/libf/phylmdiso/cv_driver.F90	(revision 5112)
@@ -1229,5 +1229,5 @@
 SUBROUTINE cv_flag(iflag_ice_thermo)
 
-  USE ioipsl_getin_p_mod, ONLY: getin_p
+  USE lmdz_ioipsl_getin_p, ONLY: getin_p
 
   IMPLICIT NONE
Index: LMDZ6/branches/Amaury_dev/libf/phylmdiso/cv_routines.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmdiso/cv_routines.F90	(revision 5110)
+++ LMDZ6/branches/Amaury_dev/libf/phylmdiso/cv_routines.F90	(revision 5112)
@@ -396,5 +396,5 @@
     tp1, tvp1, clw1, iflag, nk, icb, cbmf, plcl, tnk, qnk, gznk, t, q, qs, u, &
     v, gz, h, lv, cpn, p, ph, tv, tp, tvp, clw, dph)
-  USE print_control_mod, ONLY: lunout
+  USE lmdz_print_control, ONLY: lunout
   IMPLICIT NONE
 
Index: LMDZ6/branches/Amaury_dev/libf/phylmdiso/cva_driver.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmdiso/cva_driver.F90	(revision 5110)
+++ LMDZ6/branches/Amaury_dev/libf/phylmdiso/cva_driver.F90	(revision 5112)
@@ -51,5 +51,5 @@
 ! **************************************************************
 
-  USE print_control_mod, ONLY: prt_level, lunout
+  USE lmdz_print_control, ONLY: prt_level, lunout
   USE add_phys_tend_mod, ONLY: fl_cor_ebil
 #ifdef ISO
Index: LMDZ6/branches/Amaury_dev/libf/phylmdiso/isotopes_routines_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmdiso/isotopes_routines_mod.F90	(revision 5110)
+++ LMDZ6/branches/Amaury_dev/libf/phylmdiso/isotopes_routines_mod.F90	(revision 5112)
@@ -15859,5 +15859,5 @@
         rain_fall,snow_fall,fevap,fxtevap,xtsol,qsol
       !USE iostart, ONLY: close_startphy, get_field, get_var, open_startphy
-      !USE write_field_phy
+      !USE lmdz_write_field_phy
       USE indice_sol_mod, only: nbsrf  
   USE isotopes_mod, ONLY: initialisation_iso, iso_eau,iso_HDO, &
@@ -16034,5 +16034,5 @@
         fevap,fxtevap,xtsol,qsol
       !USE iostart
-      !USE write_field_phy
+      !USE lmdz_write_field_phy
       USE indice_sol_mod, only: nbsrf
   USE isotopes_mod, ONLY: tnat,iso_HDO,iso_O18,iso_HTO, iso_eau,toce, &
@@ -16627,5 +16627,5 @@
         USE isotopes_mod, only: iso_HTO,ok_prod_nucl_tritium
         USE dimphy, only: klon,klev
-        USE geometry_mod, only: latitude_deg,longitude_deg, & ! en degré, remplace rlat et rlon
+        USE lmdz_geometry, only: latitude_deg,longitude_deg, & ! en degré, remplace rlat et rlon
                    latitude,longitude ! en radian, remplace rlatd et rlond
         USE lmdz_yomcst
@@ -18148,5 +18148,5 @@
 &               zmin_nucl, zmax_nucl, HTO_nucl
         USE dimphy, only: klon,klev
-        use geometry_mod, only: latitude_deg,longitude_deg
+        use lmdz_geometry, only: latitude_deg,longitude_deg
 #ifdef ISOVERIF
         USE isotopes_verif_mod
@@ -18225,5 +18225,5 @@
                                      kmin_jessai,kmax_jessai)
         USE dimphy, only: klon,klev
-        use geometry_mod, only: latitude_deg,longitude_deg
+        use lmdz_geometry, only: latitude_deg,longitude_deg
         USE lmdz_yomcst
 #ifdef ISOVERIF
@@ -18366,5 +18366,5 @@
                                       prod_nucl)
         USE isotopes_mod, ONLY: iso_HTO
-        use geometry_mod, only: cell_area
+        use lmdz_geometry, only: cell_area
         use dimphy, only: klon,klev
         USE lmdz_yomcst
Index: LMDZ6/branches/Amaury_dev/libf/phylmdiso/isotopes_verif_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmdiso/isotopes_verif_mod.F90	(revision 5110)
+++ LMDZ6/branches/Amaury_dev/libf/phylmdiso/isotopes_verif_mod.F90	(revision 5112)
@@ -93,5 +93,5 @@
 
         SUBROUTINE iso_verif_init()
-        use ioipsl_getin_p_mod, ONLY: getin_p
+        use lmdz_ioipsl_getin_p, ONLY: getin_p
         use isotopes_mod, ONLY: iso_O17, iso_O18, iso_HDO
         implicit none
Index: LMDZ6/branches/Amaury_dev/libf/phylmdiso/isotrac_routines_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmdiso/isotrac_routines_mod.F90	(revision 5110)
+++ LMDZ6/branches/Amaury_dev/libf/phylmdiso/isotrac_routines_mod.F90	(revision 5112)
@@ -1373,5 +1373,5 @@
         SUBROUTINE initialise_bassins_boites(presnivs)
         USE dimphy, only: klev
-        USE geometry_mod, ONLY: longitude_deg, latitude_deg
+        USE lmdz_geometry, ONLY: longitude_deg, latitude_deg
         use isotrac_mod, only: bassin_map,option_traceurs,boite_map
 #ifdef ISOVERIF
@@ -2285,5 +2285,5 @@
 
         SUBROUTINE isotrac_recolorise_general(xt_seri,t_seri,zx_rh,presnivs)
-        USE geometry_mod, ONLY: latitude_deg
+        USE lmdz_geometry, ONLY: latitude_deg
         USE dimphy, only: klon,klev
         use isotrac_mod, only: option_traceurs,boite_map
Index: LMDZ6/branches/Amaury_dev/libf/phylmdiso/limit_read_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmdiso/limit_read_mod.F90	(revision 5110)
+++ LMDZ6/branches/Amaury_dev/libf/phylmdiso/limit_read_mod.F90	(revision 5112)
@@ -284,5 +284,5 @@
 #endif
     USE phys_cal_mod, ONLY: calend, year_len
-    USE print_control_mod, ONLY: lunout, prt_level
+    USE lmdz_print_control, ONLY: lunout, prt_level
     USE lmdz_XIOS, ONLY: xios_recv_field
     
Index: LMDZ6/branches/Amaury_dev/libf/phylmdiso/lmdz_lscp_old.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmdiso/lmdz_lscp_old.F90	(revision 5110)
+++ LMDZ6/branches/Amaury_dev/libf/phylmdiso/lmdz_lscp_old.F90	(revision 5112)
@@ -20,7 +20,7 @@
   USE dimphy
   USE icefrac_lsc_mod ! compute ice fraction (JBM 3/14)
-  USE print_control_mod, ONLY: prt_level, lunout
+  USE lmdz_print_control, ONLY: prt_level, lunout
   USE lmdz_cloudth, ONLY: cloudth, cloudth_v3, cloudth_v6
-  USE ioipsl_getin_p_mod, ONLY: getin_p
+  USE lmdz_ioipsl_getin_p, ONLY: getin_p
   USE phys_local_var_mod, ONLY: ql_seri,qs_seri
   USE phys_local_var_mod, ONLY: rneblsvol
Index: LMDZ6/branches/Amaury_dev/libf/phylmdiso/lmdz_wake.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmdiso/lmdz_wake.F90	(revision 5110)
+++ LMDZ6/branches/Amaury_dev/libf/phylmdiso/lmdz_wake.F90	(revision 5112)
@@ -29,8 +29,8 @@
   ! **************************************************************
 
-  USE ioipsl_getin_p_mod, ONLY: getin_p
+  USE lmdz_ioipsl_getin_p, ONLY: getin_p
   USE dimphy
   use lmdz_phys_para
-  USE print_control_mod, ONLY: prt_level
+  USE lmdz_print_control, ONLY: prt_level
 #ifdef ISO
   USE infotrac_phy, ONLY: ntraciso=>ntiso
Index: LMDZ6/branches/Amaury_dev/libf/phylmdiso/phyaqua_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmdiso/phyaqua_mod.F90	(revision 5110)
+++ LMDZ6/branches/Amaury_dev/libf/phylmdiso/phyaqua_mod.F90	(revision 5112)
@@ -23,5 +23,5 @@
 
     USE dimphy, ONLY: klon
-    USE geometry_mod, ONLY: latitude
+    USE lmdz_geometry, ONLY: latitude
     USE surface_data, ONLY: type_ocean, ok_veget
     USE pbl_surface_mod, ONLY: pbl_surface_init
@@ -40,5 +40,5 @@
     USE lmdz_phys_transfert_para, ONLY: bcast
     USE lmdz_grid_phy
-    USE ioipsl_getin_p_mod, ONLY: getin_p
+    USE lmdz_ioipsl_getin_p, ONLY: getin_p
     USE phys_cal_mod , ONLY: calend, year_len_phy => year_len 
 #ifdef ISO
Index: LMDZ6/branches/Amaury_dev/libf/phylmdiso/phyetat0_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmdiso/phyetat0_mod.F90	(revision 5110)
+++ LMDZ6/branches/Amaury_dev/libf/phylmdiso/phyetat0_mod.F90	(revision 5112)
@@ -38,5 +38,5 @@
        dt_ds, ratqs_inter_
 !FC
-  USE geometry_mod,     ONLY: longitude_deg, latitude_deg
+  USE lmdz_geometry,     ONLY: longitude_deg, latitude_deg
   USE iostart,          ONLY: close_startphy, get_field, get_var, open_startphy
   USE infotrac_phy,     ONLY: nqtot, nbtr, type_trac, tracers
Index: LMDZ6/branches/Amaury_dev/libf/phylmdiso/phyredem.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmdiso/phyredem.F90	(revision 5110)
+++ LMDZ6/branches/Amaury_dev/libf/phylmdiso/phyredem.F90	(revision 5112)
@@ -36,5 +36,5 @@
                                 wake_deltaxt                              
 #endif
-  USE geometry_mod, ONLY: longitude_deg, latitude_deg
+  USE lmdz_geometry, ONLY: longitude_deg, latitude_deg
   USE iostart, ONLY: open_restartphy, close_restartphy, enddef_restartphy, put_field, put_var
   USE traclmdz_mod, ONLY: traclmdz_to_restart
Index: LMDZ6/branches/Amaury_dev/libf/phylmdiso/phys_output_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmdiso/phys_output_mod.F90	(revision 5110)
+++ LMDZ6/branches/Amaury_dev/libf/phylmdiso/phys_output_mod.F90	(revision 5112)
@@ -44,6 +44,6 @@
     USE phys_output_ctrlout_mod
     USE lmdz_grid_phy, only: klon_glo,nbp_lon,nbp_lat
-    USE print_control_mod, ONLY: prt_level,lunout
-    USE vertical_layers_mod, ONLY: ap,bp,preff,presnivs, aps, bps, pseudoalt, presinter
+    USE lmdz_print_control, ONLY: prt_level,lunout
+    USE lmdz_vertical_layers, ONLY: ap,bp,preff,presnivs, aps, bps, pseudoalt, presinter
     USE time_phylmdz_mod, ONLY: day_ini, itau_phy, start_time, annee_ref, day_ref
     ! ug Pour les sorties XIOS
@@ -618,5 +618,5 @@
     USE phys_cal_mod
     USE time_phylmdz_mod, ONLY: day_ref, annee_ref
-    USE print_control_mod, ONLY: lunout
+    USE lmdz_print_control, ONLY: lunout
 
     IMPLICIT NONE
Index: LMDZ6/branches/Amaury_dev/libf/phylmdiso/physiq_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmdiso/physiq_mod.F90	(revision 5110)
+++ LMDZ6/branches/Amaury_dev/libf/phylmdiso/physiq_mod.F90	(revision 5112)
@@ -34,8 +34,8 @@
     USE FLOTT_GWD_rando_m, only: FLOTT_GWD_rando
     USE fonte_neige_mod, ONLY  : fonte_neige_get_vars
-    USE geometry_mod, ONLY: cell_area, latitude_deg, longitude_deg
+    USE lmdz_geometry, ONLY: cell_area, latitude_deg, longitude_deg
     USE ioipsl, only: histbeg, histvert, histdef, histend, histsync, &
          histwrite, ju2ymds, ymds2ju, getin
-    USE ioipsl_getin_p_mod, ONLY: getin_p
+    USE lmdz_ioipsl_getin_p, ONLY: getin_p
     USE indice_sol_mod
     USE infotrac_phy, ONLY: nqtot, nbtr, nqo, tracers, type_trac,ivap,iliq,isol
@@ -62,5 +62,5 @@
     USE phys_output_mod
     USE phys_output_ctrlout_mod
-    USE print_control_mod, ONLY: mydebug=>debug , lunout, prt_level, &
+    USE lmdz_print_control, ONLY: mydebug=>debug , lunout, prt_level, &
          alert_first_call, call_alert, prt_alerte
     USE readaerosol_mod, ONLY: init_aero_fromfile
@@ -75,5 +75,5 @@
     USE ice_sursat_mod,  ONLY: flight_init, airplane
     USE vampir
-    USE write_field_phy
+    USE lmdz_write_field_phy
     USE wxios, ONLY: g_ctx, wxios_set_context
     USE lmdz_lscp, ONLY: lscp
@@ -94,10 +94,10 @@
     USE phys_output_var_mod, ONLY: cloud_cover_sw, cloud_cover_sw_s2
 
-    USE geometry_mod,      ONLY: longitude, latitude, boundslon, boundslat, ind_cell_glo
+    USE lmdz_geometry,      ONLY: longitude, latitude, boundslon, boundslat, ind_cell_glo
     USE time_phylmdz_mod,  ONLY: ndays
     USE infotrac_phy,      ONLY: nqCO2
 
     USE time_phylmdz_mod,    ONLY: annee_ref, day_ini, day_ref, start_time
-    USE vertical_layers_mod, ONLY: aps, bps, ap, bp
+    USE lmdz_vertical_layers, ONLY: aps, bps, ap, bp
 
     USE lmdz_xios, ONLY: xios_update_calendar, xios_context_finalize, xios_get_field_attr, &