Index: LMDZ6/branches/Amaury_dev/libf/phylmd/inlandsis/inlandsis.f90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/inlandsis/inlandsis.f90	(revision 5110)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/inlandsis/inlandsis.f90	(revision 5113)
@@ -336,16 +336,16 @@
 
   data      Z0mBS0 /   0.5e-6/            ! MINimum Snow Roughness Length
-                                          ! ! for Momentum if Blowing Snow
-                                          ! ! Gallee et al. 2001 BLM 99 (19)
+                                          ! for Momentum if Blowing Snow
+                                          ! Gallee et al. 2001 BLM 99 (19)
   data      Z0m_S0/    0.00005/           ! MINimum Snow Roughness Length
-                                          ! ! MegaDunes    included
+                                          ! MegaDunes    included
   data      Z0m_S1/    0.030  /           ! MAXimum Snow Roughness Length
-                                          ! !        (Sastrugis)
+                                          !        (Sastrugis)
   ! #GL data      Z0_GIM/    0.0013/            ! Ice Min Z0 = 0.0013 m (Broeke)
-                                          ! ! Old Ice Z0 = 0.0500 m (Bruce)
-                                          ! !              0.0500 m (Smeets)
-                                          ! !              0.1200 m (Broeke)
+                                          ! Old Ice Z0 = 0.0500 m (Bruce)
+                                          !              0.0500 m (Smeets)
+                                          !              0.1200 m (Broeke)
   data      Z0_ICE/    0.0010/            ! Sea-Ice Z0 = 0.0010 m (Andreas)
-                                          ! !    (Ice Station Weddel -- ISW)
+                                          !    (Ice Station Weddel -- ISW)
   ! for aerolian erosion
   data      SblPom/ 1.27/   ! Lower Boundary Height Parameter
@@ -436,6 +436,6 @@
 
     rCd10n =  1. / 26.5 ! Vt / u*t = 26.5
-                 ! ! Budd et al. 1965, Antarct. Res. Series Fig.13
-                 ! ! ratio developped during assumed neutral conditions
+                 ! Budd et al. 1965, Antarct. Res. Series Fig.13
+                 ! ratio developped during assumed neutral conditions
 
 
@@ -554,7 +554,7 @@
         ! sss__G      =  0.27417     * gravit
 
-  ! !  ______________               _____
-  ! !  Newton-Raphson (! Iteration, BEGIN)
-  ! !  ~~~~~~~~~~~~~~               ~~~~~
+  !  ______________               _____
+  !  Newton-Raphson (! Iteration, BEGIN)
+  !  ~~~~~~~~~~~~~~               ~~~~~
         ! DO iit=1,nit
         ! sss__K      =  gravit      * r_Turb * A_Turb *za__SV(ikl)
@@ -580,16 +580,16 @@
    !      us__SV(ikl)= max(us__SV(ikl),epsi  )
    !      rCDmSV(ikl)=     us__SV(ikl)/VVa_OK
-  ! ! #AE     sss__F     =     vonkar     /rCDmSV(ikl)
+  ! #AE     sss__F     =     vonkar     /rCDmSV(ikl)
    !      ENDDO
 
-  ! !  ______________               ___
-  ! !  Newton-Raphson (! Iteration, END  )
-  ! !  ~~~~~~~~~~~~~~               ~~~
+  !  ______________               ___
+  !  Newton-Raphson (! Iteration, END  )
+  !  ~~~~~~~~~~~~~~               ~~~
 
    !      us_127      =  exp(    SblPom *log(us__SV(ikl)))
    !      us_227      =  us_127         *    us__SV(ikl)
 
-  ! !  Momentum            Turbulent Scale  u*: 0-Limit in case of no Blow. Snow
-  ! !  ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
+  !  Momentum            Turbulent Scale  u*: 0-Limit in case of no Blow. Snow
+  !  ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
    !      dusuth      =  us__SV(ikl) - usthSV(ikl)       ! u* - uth*
    !      signus      =  max(sign(unun,dusuth),zero)     ! 1 <=> u* - uth* > 0
@@ -664,5 +664,5 @@
         if (is_ok_density_kotlyakov) then
             tt_tmp = TaT_SV(ikl)-TfSnow
-            ! !vv_tmp = VV10SV(ikl)
+            !vv_tmp = VV10SV(ikl)
             vv_tmp=VV__SV(ikl) ! Etienne: use wind speed at first model level instead of 10m wind
   ! + ...         [ A compromise between
@@ -1004,6 +1004,6 @@
 
         e_pRad = 2.5   *  coszSV(ikl)       ! exponential argument,
-                                            ! ! V/nIR radiation partitioning,
-                                            ! ! DR97, 2, eqn (2.53) & (2.54)
+                                            ! V/nIR radiation partitioning,
+                                            ! DR97, 2, eqn (2.53) & (2.54)
         e1pRad = 1.-exp(-e_pRad)            ! exponential, V/nIR Rad. Part.
         exdRad= 1.
@@ -1186,5 +1186,5 @@
 
       TBr_sv(ikl) =sqrt(sqrt(IRu_SV(ikl)/StefBo))      ! Brightness
-                                                       ! ! Temperature
+                                                       ! Temperature
       uts_SV(ikl) =     (HSv_sv(ikl) +HSs_sv(ikl)) & ! u*T*
             /(rhT_SV(ikl) *cp)          !
@@ -1318,5 +1318,5 @@
   ! +  ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
       A_Fact      =  1.0000        ! Andreas et al., 2004, p.4
-                                   ! ! ams.confex.com/ams/pdfpapers/68601.pdf
+                                   ! ams.confex.com/ams/pdfpapers/68601.pdf
 
   ! Parameterization of z0 dependance on Temperature (C. Amory, 2017)
@@ -1341,5 +1341,5 @@
         Z0_obs = exp(coefa*TaT_SV(ikl) + coefb)
       else if (TaT_SV(ikl)>=ta2 .and. TaT_SV(ikl)<ta3) then
-        ! ! if st > 0, melting induce smooth surface
+        ! if st > 0, melting induce smooth surface
         Z0_obs = exp(coefc*TaT_SV(ikl) + coefd)
       else
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/inlandsis/sisvat_bsn.f90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/inlandsis/sisvat_bsn.f90	(revision 5110)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/inlandsis/sisvat_bsn.f90	(revision 5113)
@@ -50,5 +50,5 @@
   ! +  =======
 
-  ! !DO isn = nsno,2,-1
+  !DO isn = nsno,2,-1
   DO ikl = 1,knonv
 
@@ -70,14 +70,14 @@
           /max(epsi,ro__SV(ikl,isn))
 
-    ! ! Densification of the uppermost snow layer if erosion:
+    ! Densification of the uppermost snow layer if erosion:
     if((dzweqo-dzweqn)>0                    .and. &
           dzsnSV(ikl,isn)>0                    .and. &
           ro__SV(ikl,max(1,isnoSV(ikl)))<roBdSV) then
 
-    ! !characteristic time scale for drifting snow compaction set to 24h
-    ! !linear densification rate [kg/m3/s] over 24h
+    !characteristic time scale for drifting snow compaction set to 24h
+    !linear densification rate [kg/m3/s] over 24h
     densif         = (450. - frsno) / (3600*24)
 
-    ! !Attenuation of compaction rate from 450 to 500 kg/m3
+    !Attenuation of compaction rate from 450 to 500 kg/m3
     Fac         = 1-((ro__SV(ikl,max(1,isnoSV(ikl))) &
           -roBdSV)/(500.-roBdSV))
@@ -103,5 +103,5 @@
 
   END DO
-  ! !END DO
+  !END DO
 
 
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/inlandsis/sisvat_qsn.f90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/inlandsis/sisvat_qsn.f90	(revision 5110)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/inlandsis/sisvat_qsn.f90	(revision 5113)
@@ -73,7 +73,7 @@
   ! #vm real     EqSn01(knonv)                 ! Snow Energy, after Phase Change
   ! #vm real     EqSn02(knonv)                 ! Snow Energy, after Phase Change
-                                         ! !              .AND. Last Melting
+                                         !              .AND. Last Melting
   ! #e1 real     EqSn_1(knonv)                 ! Snow Energy, after Phase Change
-                                         ! !              .AND. Mass Redistr.
+                                         !              .AND. Mass Redistr.
   ! Snow/Ice (Mass) Budget
   ! ~~~~~~~~~~~~~~~~~~~~~~
@@ -160,5 +160,5 @@
   data      dz_Min/2.5e-3/                ! Minim. Snow Layer Thickness
   data      SGDmax/0.003/                 ! Maxim. Snow Grain Diameter  [m]
-                                          ! ! (Rowe et al. 1995, JGR p.16268)
+                                          ! (Rowe et al. 1995, JGR p.16268)
 
   ! +--Energy Budget (IN)
@@ -206,6 +206,6 @@
     noSnow(ikl)   = 0                   ! Nb of Layers Updater
     ispiSV(ikl)   = 0                   ! Pore Hole Close OFF Index
-                                        ! ! (assumed to be the Top of
-                                        ! !  the surimposed Ice Layer)
+                                        ! (assumed to be the Top of
+                                        !  the surimposed Ice Layer)
     zn5_SV(ikl)   = 0.
     rusnSV0(ikl)  = 0.
@@ -493,5 +493,5 @@
 
       if(isnoSV(ikl)<=1 .OR. opt_runoff_ac) rusnew = 0.
-      ! !if(ivgtSV(ikl)>=1) rusnew = 0.
+      !if(ivgtSV(ikl)>=1) rusnew = 0.
 
   ! #EU                        rusnew = 0.
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/inlandsis/sisvat_sno_albedo.f90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/inlandsis/sisvat_sno_albedo.f90	(revision 5110)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/inlandsis/sisvat_sno_albedo.f90	(revision 5113)
@@ -253,6 +253,6 @@
 
       dalbeW =(0.64 - csegal  )*0.0625  ! Warren 1982, RevGeo, fig.12b
-                                        ! ! 0.0625 = 5% * 1/0.8,   p.81
-                                        ! ! 0.64   = cos(50)
+                                        ! 0.0625 = 5% * 1/0.8,   p.81
+                                        ! 0.64   = cos(50)
       dalbed =     dalbeW      *       min(1,isnoSV(ikl))
   !-------------------------------------------------------------------------
@@ -276,5 +276,5 @@
       albSn6(4:6)=albSn2
 
-      ! !snow albedo corection if wetsnow
+      !snow albedo corection if wetsnow
   ! #GL     albSn1 =  albSn1*max(0.9,(1.-1.5*eta_SV(ikl,isn)))
   ! #GL     albSn2 =  albSn2*max(0.9,(1.-1.5*eta_SV(ikl,isn)))
@@ -410,5 +410,5 @@
   ! +--Integrated Snow/Ice/Soil Albedo: Clouds Correction! Greuell & all., 1994
   ! +  --------------------------------------------------! Glob.&t Planet.Change
-                                                   ! ! (9):91-114
+                                                   ! (9):91-114
         alb1sv(ikl) = alb1sv(ikl) + 0.05 *(cld_SV(ikl)-0.5)*SIcenH &
               + dalbed      *    (1.-cld_SV(ikl))
@@ -460,7 +460,7 @@
     !AO_CK 20/02/2020
 
-    ! ! No check if coupling update since MAR and NEMO albedo are too different
+    ! No check if coupling update since MAR and NEMO albedo are too different
     ! and since MAR albedo is computed on properties that are not in NEMO
-    ! ! prescription for each time step with NEMO values
+    ! prescription for each time step with NEMO values
 
   ! #AO      if (LSmask(ikl) .eq. 0 .and. coupling_ao .eq. .TRUE.) then
@@ -511,5 +511,5 @@
       DO ikl=1,knonv
         sEX_sv(ikl,isn) = 1.0
-       ! !sEX_sv(ikl,isn) = 0.95 ! if MAR is too warm in summer
+       !sEX_sv(ikl,isn) = 0.95 ! if MAR is too warm in summer
       END DO
     END DO
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/inlandsis/sisvat_ts2.f90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/inlandsis/sisvat_ts2.f90	(revision 5110)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/inlandsis/sisvat_ts2.f90	(revision 5113)
@@ -265,5 +265,5 @@
     IRs__D(ig) = dIRsdT(ig)* TsisSV(ig, isl) * 0.75                  !:
   END DO
-  ! !hj
+  !hj
   !!-----------------------------------------------------------------------
   !! 3)
@@ -370,5 +370,5 @@
       zx_qs = r2es * FOEEW(Tsf_SV(ig), zdelta) / ps__SV(ig)
       zx_qs = MIN(0.5, zx_qs)
-      ! !write(*,*)'zcor',retv*zx_qs
+      !write(*,*)'zcor',retv*zx_qs
       zcor = 1. / (1. - retv * zx_qs)
       zx_qs = zx_qs * zcor
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/inlandsis/sisvat_tso.f90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/inlandsis/sisvat_tso.f90	(revision 5110)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/inlandsis/sisvat_tso.f90	(revision 5113)
@@ -372,5 +372,5 @@
   ! +  ^^^^^^^^^^^^^^^^^^^^^^^^^^^
 
-    ! !EV!isl=  min(isnoSV(1)+1,nsno)
+    !EV!isl=  min(isnoSV(1)+1,nsno)
 
     DO ikl=1,knonv
@@ -426,7 +426,7 @@
       !  sp = (pst_SV(ikl) + ptopSV) * 10.
 
-      ! !sp=ps__SV(ikl)
-      ! ! Etienne: in the formula herebelow sp should be in hPa, not
-      ! ! in Pa so I divide by 100.
+      !sp=ps__SV(ikl)
+      ! Etienne: in the formula herebelow sp should be in hPa, not
+      ! in Pa so I divide by 100.
       sp=ps__SV(ikl)/100.
       psat_ice = 6.1070 * exp(6150. *(1./273.16 - &
@@ -476,5 +476,5 @@
   !                                                              ! by Atm.Conten
   ! #??.        *max(0,sign(1.,qsatsg(ikl)-QaT_SV(ikl))))        ! NO Limitation
-                                                           ! ! of Downw.Flux
+                                                           ! of Downw.Flux
         END DO                                             !
       DO itEuBk=1,2                                        !
@@ -522,5 +522,5 @@
       ist__w=     1-ist__s                                 ! 1 if    H2O
       d__eta     =  eta_SV(ikl,isl)-etaNEW(ikl)            !
-      ! ! latent heat flux computation
+      ! latent heat flux computation
       HL___D(ikl)=( ist__s *ro_Wat *dz_dSV(0) & ! Soil Contrib.
             *(etaNEW(ikl)    -etaBAK(ikl)) / dt__SV & !
@@ -623,6 +623,6 @@
   ! #EU      TsisSV(ikl,isl)  = max(TaT_SV(ikl)-15.,TsisSV(ikl,isl))
 
-      ! !XF 18/11/2018 to avoid ST reaching 70°C!!
-      ! !It is an error compensation but does not work over tundra
+      !XF 18/11/2018 to avoid ST reaching 70°C!!
+      !It is an error compensation but does not work over tundra
 
       endif
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/inlandsis/sisvat_zsn.f90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/inlandsis/sisvat_zsn.f90	(revision 5110)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/inlandsis/sisvat_zsn.f90	(revision 5113)
@@ -140,5 +140,5 @@
   DO ikl=1,knonv
   DO   isn=1,isnoSV(ikl)-3 ! no agregation of 3 first snowlayers
-                           ! ! XF 04/07/2019
+                           ! XF 04/07/2019
 
       isno_n    =             isnoSV(ikl)-isn+1     ! Snow Normal.Profile
@@ -526,5 +526,5 @@
   DO ikl=1,knonv
     DO isn=1,isnoSV(ikl)-3 ! no agregation of 3 first snowlayers
-                           ! ! XF 04/07/2019
+                           ! XF 04/07/2019
 
       isno_n    =             isnoSV(ikl)-isn+1     ! Snow Normal.Profile
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/inlandsis/surf_inlandsis_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/inlandsis/surf_inlandsis_mod.F90	(revision 5110)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/inlandsis/surf_inlandsis_mod.F90	(revision 5113)
@@ -783,5 +783,5 @@
         min_period = 1800. ! en secondes
         dalph_soil = 2.    ! rapport entre les epaisseurs de 2 couches succ.
-        ! !$OMP MASTER
+        !$OMP MASTER
         !     IF (is_mpi_root) THEN
         !        OPEN(99,file='soil.def',status='old',form='formatted',iostat=ierr)
@@ -795,5 +795,5 @@
         !        END IF
         !     ENDIF
-        ! !$OMP END MASTER
+        !$OMP END MASTER
         !     CALL bcast(min_period)
         !     CALL bcast(dalph_soil)