Index: LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/miecalc_aer.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/miecalc_aer.F90	(revision 5113)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/miecalc_aer.F90	(revision 5116)
@@ -21,5 +21,5 @@
   USE dimphy
   USE lmdz_yomcst  , ONLY: RG, RPI
-  USE lmdz_phys_para, only: gather, scatter, bcast
+  USE lmdz_phys_para, ONLY: gather, scatter, bcast
   USE lmdz_grid_phy, ONLY: klon_glo
   USE lmdz_phys_mpi_data, ONLY:  is_mpi_root
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/strataer_emiss_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/strataer_emiss_mod.F90	(revision 5113)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/strataer_emiss_mod.F90	(revision 5116)
@@ -50,5 +50,5 @@
           ALLOCATE(m_aer_emiss_vol(nErupt, nAerErupt))
           m_aer_emiss_vol = 0. ; m_sulf_emiss_vol = 0.
-          IF (ok_qemiss) then
+          IF (ok_qemiss) THEN
             ALLOCATE(m_H2O_emiss_vol(nErupt))
             ALLOCATE(m_H2O_emiss_vol_daily(nErupt))
@@ -88,5 +88,5 @@
       IF (flag_emit==1) THEN
         CALL getin_p('m_sulf_emiss_vol', m_sulf_emiss_vol)
-        if (ok_qemiss) then
+        if (ok_qemiss) THEN
           CALL getin_p('m_H2O_emiss_vol', m_H2O_emiss_vol)
         endif
@@ -154,5 +154,5 @@
     !============= Print params =============
     IF (is_master) THEN
-      IF (nErupt > 0) then
+      IF (nErupt > 0) THEN
         if (flag_emit == 1 .OR. flag_emit == 4) THEN
           WRITE(lunout, *) 'IN STRATAER nErupt: ', nErupt
@@ -172,5 +172,5 @@
             WRITE(lunout, *) 'IN STRATAEREMISS : m_sulf_emiss_vol', m_sulf_emiss_vol
             WRITE(lunout, *) 'IN STRATAER : m_aer_emiss_vol', m_aer_emiss_vol
-            IF (ok_qemiss) then
+            IF (ok_qemiss) THEN
               WRITE(lunout, *) 'IN STRATAEREMISS : m_H2O_emiss_vol', m_H2O_emiss_vol
             ENDIF
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/stratemit.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/stratemit.F90	(revision 5113)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/stratemit.F90	(revision 5116)
@@ -95,5 +95,5 @@
           CALL STRATDISTRIB(altLMDz,altemiss,sigma_alt,f_lay_emiss)
           
-          IF (flag_emit==3) then
+          IF (flag_emit==3) THEN
              theta=(sin(theta_max/180.*RPI)-sin(theta_min/180.*RPI))/ &
    (sin(xlat_max_sai/180.*RPI)-sin(xlat_min_sai/180.*RPI))
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/sulfate_aer_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/sulfate_aer_mod.F90	(revision 5113)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/sulfate_aer_mod.F90	(revision 5116)
@@ -93,8 +93,8 @@
 !      ***   H2SO4-H2O curved surface - Kelvin effect factor ***
 !            wet radius (m) (RRSI(IK) in [cm])
-             if (f_r_wetB(ilon,ilev,IK) > 1.0) then
+             if (f_r_wetB(ilon,ilev,IK) > 1.0) THEN
                radwet = 1.e-2*RRSI(IK)*f_r_wetB(ilon,ilev,IK)
              else 
-!              H2SO4-H2O flat surface, only on the first timestep
+!              H2SO4-H2O flat surface, ONLY on the first timestep
                radwet = 1.e-2*RRSI(IK)*f_r_wet(ilon,ilev)
              endif
@@ -787,5 +787,5 @@
 
 
-    end function psh2so4
+    END FUNCTION psh2so4
 !-----------------------------------------------------------------------
     real function ndsh2so4(T) result(ndsh2so4_out)
@@ -794,5 +794,5 @@
       IMPLICIT NONE
       real, intent(in) :: T
-      real :: presat
+      REAL :: presat
 
 !     Boltzmann constant ( 1.38065e-23 J/K = m2⋅kg/(s2⋅K) )
@@ -806,5 +806,5 @@
 
 
-     end function ndsh2so4
+     END FUNCTION ndsh2so4
 !-----------------------------------------------------------------------
      real function psh2o(T) result(psh2o_out)
@@ -814,5 +814,5 @@
       real, intent(in) :: T
 
-      if(T>229.) then
+      IF(T>229.) THEN
 !        Preining et al., 1981 (from Kulmala et al., 1998)
 !        saturation vapor pressure (N/m2 = 1 Pa = 1 kg/(m·s2))
@@ -833,5 +833,5 @@
       
 
-     end function psh2o
+     END FUNCTION psh2o
 !-----------------------------------------------------------------------
      real function density(T,so4mfrac) result(density_out)
@@ -867,5 +867,5 @@
         c6=-7.458060e-4, &
         c7= 2.581390e-4
-      real :: a,b,c,so4m2,so4m3,so4m4,so4m5,so4m6
+      REAL :: a,b,c,so4m2,so4m3,so4m4,so4m5,so4m6
       
       so4m2=so4mfrac*so4mfrac
@@ -884,5 +884,5 @@
 
 
-     end function density
+     END FUNCTION density
 !-----------------------------------------------------------------------
      real function surftension(T,so4frac) result(surftension_out)
@@ -893,5 +893,5 @@
       IMPLICIT NONE
       real,intent(in) :: T, so4frac
-      real :: a,b,so4mfrac,so4m2,so4m3,so4m4,so4m5,so4sig
+      REAL :: a,b,so4mfrac,so4m2,so4m3,so4m4,so4m5,so4sig
       real, parameter :: &
        a1= 0.11864, &
@@ -924,5 +924,5 @@
 
 
-     end function surftension
+     END FUNCTION surftension
 !-----------------------------------------------------------------------
      real function wph2so4(pph2o,T) result(wph2so4_out)
@@ -944,5 +944,5 @@
       real, intent(in) :: pph2o, T 
       
-      real :: aw, rh, y1, y2, sulfmolal
+      REAL :: aw, rh, y1, y2, sulfmolal
   
 !       psh2o(T): equilibrium H2O pressure over pure liquid water (Pa)
@@ -955,10 +955,10 @@
 !       composition
 !       calculation of h2so4 molality
-            if(aw <= 0.05 .and. aw > 0.) then
+            IF(aw <= 0.05 .and. aw > 0.) THEN
                y1=12.372089320*aw**(-0.16125516114) &
     -30.490657554*aw -2.1133114241
                y2=13.455394705*aw**(-0.19213122550) &
     -34.285174607*aw -1.7620073078
-            else if(aw <= 0.85 .and. aw > 0.05) then
+            else IF(aw <= 0.85 .and. aw > 0.05) THEN
                y1=11.820654354*aw**(-0.20786404244) &
     -4.8073063730*aw -5.1727540348
@@ -999,5 +999,5 @@
 
 
-     end function wph2so4
+     END FUNCTION wph2so4
 !-----------------------------------------------------------------------
      real function solh2so4(T,xa) result(solh2so4_out)
@@ -1007,5 +1007,5 @@
       real, intent(in) :: T, xa       ! T(K)  xa(H2SO4 mass fraction)
       
-      real :: xw, a12,b12, cacta, presat
+      REAL :: xw, a12,b12, cacta, presat
       
       xw=1.0-xa
@@ -1021,5 +1021,5 @@
 
 
-     end function solh2so4
+     END FUNCTION solh2so4
 !-----------------------------------------------------------------------      
      real function rpmvh2so4(T,ws) result(rpmvh2so4_out)
@@ -1035,5 +1035,5 @@
    -0.2315332,1.60074E-03,-2.5827835E-06/)
       
-      real :: w
+      REAL :: w
 
         w=ws*0.01
@@ -1044,5 +1044,5 @@
         
 
-     end function rpmvh2so4
+     END FUNCTION rpmvh2so4
 !-----------------------------------------------------------------------
      real function rmvh2o(T) result(rmvh2o_out)
@@ -1058,5 +1058,5 @@
        
 
-     end function rmvh2o
+     END FUNCTION rmvh2o
 
 END MODULE sulfate_aer_mod
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/traccoag_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/traccoag_mod.F90	(revision 5113)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/traccoag_mod.F90	(revision 5116)
@@ -20,5 +20,5 @@
     USE lmdz_grid_phy
     USE lmdz_phys_mpi_data, ONLY: is_mpi_root
-    USE lmdz_phys_para, only: gather, scatter
+    USE lmdz_phys_para, ONLY: gather, scatter
     USE phys_cal_mod, ONLY: year_len, year_cur, mth_cur, day_cur, hour
     USE sulfate_aer_mod