Index: LMDZ6/branches/Amaury_dev/libf/dynphy_lonlat/calfis.f90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dynphy_lonlat/calfis.f90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/dynphy_lonlat/calfis.f90	(revision 5117)
@@ -299,5 +299,5 @@
   !   convergence dynamique pour les traceurs "EAU"
   ! Earth-specific treatment of first 2 tracers (water)
-   if (planet_type=="earth") THEN
+   IF (planet_type=="earth") THEN
     DO iq=1,2
      DO l=1,llm
@@ -479,6 +479,6 @@
 
      jH_cur_split=jH_cur+(isplit-1) * dtvr / (daysec *nsplit_phys)
-     debut_split=debut.and.isplit==1
-     lafin_split=lafin.and.isplit==nsplit_phys
+     debut_split=debut.AND.isplit==1
+     lafin_split=lafin.AND.isplit==nsplit_phys
 
    ! if (planet_type=="earth") THEN
@@ -493,5 +493,5 @@
           zdufi,zdvfi,zdtfi,zdqfi,zdpsrf)
 
-   ! else if ( planet_type=="generic" ) THEN
+   ! ELSE IF ( planet_type=="generic" ) THEN
    !    CALL physiq (ngridmx,     !! ngrid
   ! .             llm,            !! nlayer
@@ -518,5 +518,5 @@
   ! .             tracerdyn)      !! tracerdyn <-- utilite ???
 
-  !  endif ! of if (planet_type=="earth")
+  !  ENDIF ! of if (planet_type=="earth")
 
      zufi(:,:)=zufi(:,:)+zdufi(:,:)*zdt_split
Index: LMDZ6/branches/Amaury_dev/libf/dynphy_lonlat/grid_atob_m.f90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dynphy_lonlat/grid_atob_m.f90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/dynphy_lonlat/grid_atob_m.f90	(revision 5117)
@@ -244,11 +244,11 @@
   WHERE(cham2tmp<0.001) cham2tmp=0.001
   CALL fine2coarse(xtmp,ytmp,xmod,ymod,out,REAL(LOG(cham2tmp)))
-  out=EXP(out)
-  amin=MINVAL(out); amax=MAXVAL(out)
+  out=EXP(OUT)
+  amin=MINVAL(OUT); amax=MAXVAL(OUT)
   PRINT*, 'Ecart-type du modele:', amin, amax
   out=out/amax*20.0
-  amin=MINVAL(out); amax=MAXVAL(out)
+  amin=MINVAL(OUT); amax=MAXVAL(OUT)
   PRINT*, 'Longueur de rugosite du modele:', amin, amax
-  rugs=REAL(out)
+  rugs=REAL(OUT)
 
 END SUBROUTINE rugsoro
Index: LMDZ6/branches/Amaury_dev/libf/dynphy_lonlat/inigeomphy_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dynphy_lonlat/inigeomphy_mod.F90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/dynphy_lonlat/inigeomphy_mod.F90	(revision 5117)
@@ -23,5 +23,5 @@
                                  south_west, south_east
   USE mod_interface_dyn_phys, ONLY:  init_interface_dyn_phys
-  USE nrtype, ONLY: pi
+  USE lmdz_physical_constants, ONLY: pi
   USE comvert_mod, ONLY: preff, ap, bp, aps, bps, presnivs, &
                          scaleheight, pseudoalt, presinter
@@ -144,5 +144,5 @@
         boundslonfi_glo(k,north_east)=rlonu(i)
         boundslatfi_glo(k,north_east)=rlatv(j-1)
-        if (i==1) THEN
+        IF (i==1) THEN
           ! special case for the first longitude's west bound
           boundslonfi_glo(k,north_west)=rlonu(iim)-2*PI
Index: LMDZ6/branches/Amaury_dev/libf/dynphy_lonlat/lmdz_calfis_loc.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dynphy_lonlat/lmdz_calfis_loc.F90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/dynphy_lonlat/lmdz_calfis_loc.F90	(revision 5117)
@@ -40,5 +40,5 @@
     USE parallel_lmdz,ONLY:omp_chunk,using_mpi,jjb_u,jje_u,jjb_v,jje_v &
           ,jj_begin_dyn=>jj_begin,jj_end_dyn=>jj_end
-    USE Write_Field
+    USE lmdz_write_field
     Use Write_field_p
     USE Times
@@ -188,5 +188,5 @@
   ! J'ai été surpris au début que les tableaux zufi_omp, zdufi_omp n'co soitent
   ! en SAVE. Je crois comprendre que c'est parce que tu voulais qu'il
-  ! soit allocatable (plutot par exemple que de passer une dimension
+  ! soit ALLOCATABLE (plutot par exemple que de passer une dimension
   ! dépendant du process en argument des routines) et que, du coup,
   ! le SAVE évite d'avoir à refaire l'allocation à chaque appel.
@@ -222,8 +222,8 @@
 !$OMP THREADPRIVATE(firstcal,debut)
 
-  REAL,SAVE,dimension(1:iim,1:llm):: du_send,du_recv,dv_send,dv_recv
+  REAL,SAVE,DIMENSION(1:iim,1:llm):: du_send,du_recv,dv_send,dv_recv
   INTEGER :: ierr
-  INTEGER,dimension(MPI_STATUS_SIZE,4) :: Status
-  INTEGER, dimension(4) :: Req
+  INTEGER,DIMENSION(MPI_STATUS_SIZE,4) :: Status
+  INTEGER, DIMENSION(4) :: Req
   REAL,ALLOCATABLE,SAVE:: zdufi2(:,:),zdvfi2(:,:)
   INTEGER :: k,kstart,kend
@@ -412,6 +412,6 @@
   kend=klon
 
-  if (is_north_pole_dyn) kstart=2
-  if (is_south_pole_dyn) kend=klon-1
+  IF (is_north_pole_dyn) kstart=2
+  IF (is_south_pole_dyn) kend=klon-1
 
 !$OMP DO SCHEDULE(STATIC,OMP_CHUNK)
@@ -423,5 +423,5 @@
       i=index_i(ig0)
       j=index_j(ig0)
-      if (i==1) THEN
+      IF (i==1) THEN
         zufi(ig0,l)= 0.5 *(  pucov(iim,j,l)/cu(iim,j) &
               + pucov(1,j,l)/cu(1,j) )
@@ -440,6 +440,6 @@
   jjb=jj_begin_dyn-1
   jje=jj_end_dyn+1
-  if (is_north_pole_dyn) jjb=1
-  if (is_south_pole_dyn) jje=jjm
+  IF (is_north_pole_dyn) jjb=1
+  IF (is_south_pole_dyn) jje=jjm
 
 !$OMP DO SCHEDULE(STATIC,OMP_CHUNK)
@@ -469,5 +469,5 @@
       zvfi(ig0,l)= 0.5 *(  pvcov(i,j-1,l)/cv(i,j-1) &
             + pvcov(i,j,l)/cv(i,j) )
-      if (j==1 .OR. j==jjp1) then !  AdlC MAY 2014
+      IF (j==1 .OR. j==jjp1) then !  AdlC MAY 2014
         zrfi(ig0,l) = 0 !  AdlC MAY 2014
       else
@@ -491,5 +491,5 @@
      ! V = 1 / pi  *  integrale [ v * sin(long) * d long ]
 
-  if (is_north_pole_dyn) THEN
+  IF (is_north_pole_dyn) THEN
 !$OMP DO SCHEDULE(STATIC,OMP_CHUNK)
     DO l=1,llm
@@ -511,5 +511,5 @@
     ENDDO
 !$OMP END DO NOWAIT
-  endif
+  ENDIF
 
 
@@ -519,5 +519,5 @@
      ! V = 1 / pi  *  integrale [ v * sin(long) * d long ]
 
-  if (is_south_pole_dyn) THEN
+  IF (is_south_pole_dyn) THEN
 !$OMP DO SCHEDULE(STATIC,OMP_CHUNK)
     DO l=1,llm
@@ -538,5 +538,5 @@
     ENDDO
 !$OMP END DO NOWAIT
-  endif
+  ENDIF
 
   ! On change de grille, dynamique vers physiq, pour le flux de masse verticale
@@ -561,5 +561,5 @@
 
 !$OMP BARRIER
-  if (first_omp) THEN
+  IF (first_omp) THEN
     klon=klon_omp
 
@@ -586,5 +586,5 @@
     allocate(flxwfi_omp(klon,llm))
     first_omp=.FALSE.
-  endif
+  ENDIF
 
 
@@ -708,6 +708,6 @@
 
      jH_cur_split=jH_cur+(isplit-1) * dtvr / (daysec *nsplit_phys)
-     debut_split=debut.and.isplit==1
-     lafin_split=lafin.and.isplit==nsplit_phys
+     debut_split=debut.AND.isplit==1
+     lafin_split=lafin.AND.isplit==nsplit_phys
 
     CALL call_physiq(klon,llm,nqtot,tracers(:)%name, &
@@ -837,5 +837,5 @@
   IF (using_mpi) THEN
 
-  if (MPI_rank>0) THEN
+  IF (MPI_rank>0) THEN
 !$OMP DO SCHEDULE(STATIC,OMP_CHUNK)
    DO l=1,llm
@@ -858,7 +858,7 @@
 !$OMP BARRIER
 
-  endif
-
-  if (MPI_rank<MPI_Size-1) THEN
+  ENDIF
+
+  IF (MPI_rank<MPI_Size-1) THEN
 !$OMP BARRIER
 
@@ -872,5 +872,5 @@
 !$OMP END MASTER
 
-  endif
+  ENDIF
 
 !$OMP BARRIER
@@ -879,11 +879,11 @@
 !$OMP MASTER
 !$OMP CRITICAL (MPI)
-  if (MPI_rank>0 .and. MPI_rank< MPI_Size-1) THEN
+  IF (MPI_rank>0 .AND. MPI_rank< MPI_Size-1) THEN
     CALL MPI_WAITALL(4,Req(1),Status,ierr)
-  else if (MPI_rank>0) THEN
+  ELSE IF (MPI_rank>0) THEN
     CALL MPI_WAITALL(2,Req(1),Status,ierr)
-  else if (MPI_rank <MPI_Size-1) THEN
+  ELSE IF (MPI_rank <MPI_Size-1) THEN
     CALL MPI_WAITALL(2,Req(3),Status,ierr)
-  endif
+  ENDIF
 !$OMP END CRITICAL (MPI)
 !$OMP END MASTER
@@ -908,5 +908,5 @@
     pdvfi(:,jj_begin,l)=0
 
-    if (.not. is_south_pole_dyn) THEN
+    IF (.NOT. is_south_pole_dyn) THEN
       pdhfi(:,jj_end:jj_end+1,l)=0
       pdqfi(:,jj_end:jj_end+1,l,:)=0
@@ -921,5 +921,5 @@
     pdpsfi(:,jj_begin)=0
 
-   if (.not. is_south_pole_dyn) THEN
+   IF (.NOT. is_south_pole_dyn) THEN
      pdpsfi(:,jj_end:jj_end+1)=0
    endif
@@ -937,6 +937,6 @@
   kend=klon
 
-  if (is_north_pole_dyn) kstart=2
-  if (is_south_pole_dyn)  kend=klon-1
+  IF (is_north_pole_dyn) kstart=2
+  IF (is_south_pole_dyn)  kend=klon-1
 
   !CDIR ON_ADB(index_i)
@@ -947,8 +947,8 @@
       j=index_j(ig0)
       pdpsfi(i,j) = zdpsrf(ig0)
-      if (i==1) pdpsfi(iip1,j) =  zdpsrf(ig0)
+      IF (i==1) pdpsfi(iip1,j) =  zdpsrf(ig0)
      enddo
 
-    if (is_north_pole_dyn) THEN
+    IF (is_north_pole_dyn) THEN
         DO i=1,iip1
           pdpsfi(i,1)    = zdpsrf(1)
@@ -956,5 +956,5 @@
     endif
 
-    if (is_south_pole_dyn) THEN
+    IF (is_south_pole_dyn) THEN
         DO i=1,iip1
           pdpsfi(i,jjp1) = zdpsrf(klon)
@@ -970,6 +970,6 @@
   kend=klon
 
-  if (is_north_pole_dyn) kstart=2
-  if (is_south_pole_dyn)  kend=klon-1
+  IF (is_north_pole_dyn) kstart=2
+  IF (is_south_pole_dyn)  kend=klon-1
 
 !$OMP DO SCHEDULE(STATIC,OMP_CHUNK)
@@ -983,8 +983,8 @@
       j=index_j(ig0)
       pdhfi(i,j,l) = cpp * zdtfi(ig0,l) / ppk(i,j,l)
-      if (i==1) pdhfi(iip1,j,l) =  cpp * zdtfi(ig0,l) / ppk(i,j,l)
+      IF (i==1) pdhfi(iip1,j,l) =  cpp * zdtfi(ig0,l) / ppk(i,j,l)
      enddo
 
-    if (is_north_pole_dyn) THEN
+    IF (is_north_pole_dyn) THEN
         DO i=1,iip1
           pdhfi(i,1,l)    = cpp *  zdtfi(1,l)      / ppk(i, 1  ,l)
@@ -992,5 +992,5 @@
     endif
 
-    if (is_south_pole_dyn) THEN
+    IF (is_south_pole_dyn) THEN
         DO i=1,iip1
           pdhfi(i,jjp1,l) = cpp *  zdtfi(klon,l)/ ppk(i,jjp1,l)
@@ -1053,5 +1053,5 @@
           j=index_j(ig0)
           pdqfi(i,j,l,iq) = zdqfi(ig0,l,itr)
-          if (i==1) pdqfi(iip1,j,l,iq) = zdqfi(ig0,l,itr)
+          IF (i==1) pdqfi(iip1,j,l,iq) = zdqfi(ig0,l,itr)
         ENDDO
 
@@ -1083,9 +1083,9 @@
        j=index_j(ig0)
 
-       if (i/=iim) THEN
+       IF (i/=iim) THEN
          pdufi(i,j,l)=0.5*(zdufi2(ig0,l)+zdufi2(ig0+1,l))*cu(i,j)
        endif
 
-       if (i==1) THEN
+       IF (i==1) THEN
           pdufi(iim,j,l)=0.5*(  zdufi2(ig0,l) &
                 + zdufi2(ig0+iim-1,l))*cu(iim,j)
@@ -1095,5 +1095,5 @@
      enddo
 
-     if (is_north_pole_dyn) THEN
+     IF (is_north_pole_dyn) THEN
        DO i=1,iip1
         pdufi(i,1,l)    = 0.
@@ -1101,5 +1101,5 @@
      endif
 
-     if (is_south_pole_dyn) THEN
+     IF (is_south_pole_dyn) THEN
        DO i=1,iip1
         pdufi(i,jjp1,l) = 0.
@@ -1116,6 +1116,6 @@
   kend=klon
 
-  if (is_north_pole_dyn) kstart=2
-  if (is_south_pole_dyn)  kend=klon-1-iim
+  IF (is_north_pole_dyn) kstart=2
+  IF (is_south_pole_dyn)  kend=klon-1-iim
 
 !$OMP DO SCHEDULE(STATIC,OMP_CHUNK)
@@ -1128,5 +1128,5 @@
        j=index_j(ig0)
        pdvfi(i,j,l)=0.5*(zdvfi2(ig0,l)+zdvfi2(ig0+iim,l))*cv(i,j)
-       if (i==1) pdvfi(iip1,j,l) = 0.5*(zdvfi2(ig0,l)+ &
+       IF (i==1) pdvfi(iip1,j,l) = 0.5*(zdvfi2(ig0,l)+ &
              zdvfi2(ig0+iim,l)) &
              *cv(i,j)
@@ -1141,5 +1141,5 @@
    ! v = U * cos(long) + V * SIN(long)
 
-  if (is_north_pole_dyn) THEN
+  IF (is_north_pole_dyn) THEN
 !$OMP DO SCHEDULE(STATIC,OMP_CHUNK)
     DO l=1,llm
@@ -1158,7 +1158,7 @@
 !$OMP END DO NOWAIT
 
-  endif
-
-  if (is_south_pole_dyn) THEN
+  ENDIF
+
+  IF (is_south_pole_dyn) THEN
 !$OMP DO SCHEDULE(STATIC,OMP_CHUNK)
      DO l=1,llm
@@ -1177,5 +1177,5 @@
 !$OMP END DO NOWAIT
 
-  endif
+  ENDIF
   !-----------------------------------------------------------------------
 
Index: LMDZ6/branches/Amaury_dev/libf/dynphy_lonlat/lmdz_gr_fi_dyn_p.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dynphy_lonlat/lmdz_gr_fi_dyn_p.F90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/dynphy_lonlat/lmdz_gr_fi_dyn_p.F90	(revision 5117)
@@ -27,5 +27,5 @@
         j=index_j(ig)
         pdyn(i,j,ifield)=pfi(ig,ifield)
-        if (i==1) pdyn(im,j,ifield)=pdyn(i,j,ifield)
+        IF (i==1) pdyn(im,j,ifield)=pdyn(i,j,ifield)
       ENDDO
 
Index: LMDZ6/branches/Amaury_dev/libf/dynphy_lonlat/mod_interface_dyn_phys.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dynphy_lonlat/mod_interface_dyn_phys.F90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/dynphy_lonlat/mod_interface_dyn_phys.F90	(revision 5117)
@@ -3,6 +3,6 @@
 
 MODULE mod_interface_dyn_phys
-  INTEGER,SAVE,dimension(:),allocatable :: index_i
-  INTEGER,SAVE,dimension(:),allocatable :: index_j
+  INTEGER,SAVE,DIMENSION(:),ALLOCATABLE :: index_i
+  INTEGER,SAVE,DIMENSION(:),ALLOCATABLE :: index_j
   
   
Index: LMDZ6/branches/Amaury_dev/libf/dynphy_lonlat/phydev/iniphysiq_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dynphy_lonlat/phydev/iniphysiq_mod.F90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/dynphy_lonlat/phydev/iniphysiq_mod.F90	(revision 5117)
@@ -18,5 +18,5 @@
   USE inifis_mod, ONLY: inifis
   USE phyaqua_mod, ONLY: iniaqua
-  USE nrtype, ONLY: pi
+  USE lmdz_physical_constants, ONLY: pi
   IMPLICIT NONE
 
Index: LMDZ6/branches/Amaury_dev/libf/dynphy_lonlat/phylmd/callphysiq_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dynphy_lonlat/phylmd/callphysiq_mod.F90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/dynphy_lonlat/phylmd/callphysiq_mod.F90	(revision 5117)
@@ -69,7 +69,7 @@
 
   !$OMP MASTER
-  if (ok_dyn_xios) THEN
+  IF (ok_dyn_xios) THEN
      CALL xios_get_current_context(dyn3d_ctx_handle)
-  endif
+  ENDIF
   !$OMP END MASTER
 
@@ -99,7 +99,7 @@
 ! switching back to LMDZDYN context
 !$OMP MASTER
-  if (ok_dyn_xios) THEN
+  IF (ok_dyn_xios) THEN
      CALL xios_set_current_context(dyn3d_ctx_handle)
-  endif
+  ENDIF
 !$OMP END MASTER
 
Index: LMDZ6/branches/Amaury_dev/libf/dynphy_lonlat/phylmd/ce0l.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dynphy_lonlat/phylmd/ce0l.F90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/dynphy_lonlat/phylmd/ce0l.F90	(revision 5117)
@@ -73,5 +73,5 @@
 
 #ifdef CPP_PARA
-  integer ierr
+  INTEGER ierr
 #else
 ! for iniphysiq in serial mode
Index: LMDZ6/branches/Amaury_dev/libf/dynphy_lonlat/phylmd/etat0dyn_netcdf.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dynphy_lonlat/phylmd/etat0dyn_netcdf.F90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/dynphy_lonlat/phylmd/etat0dyn_netcdf.F90	(revision 5117)
@@ -39,5 +39,5 @@
   USE comvert_mod, ONLY: ap, bp, preff, pressure_exner
   USE temps_mod, ONLY: annee_ref, day_ref, itau_dyn, itau_phy, start_time
-  USE strings_mod, ONLY: strLower
+  USE lmdz_strings, ONLY: strLower
 
   IMPLICIT NONE
@@ -78,4 +78,5 @@
     USE lmdz_filtreg
     USE lmdz_cppkeys_wrapper, ONLY: CPPKEY_INCA
+    USE lmdz_q_sat, ONLY: q_sat
     IMPLICIT NONE
     !-------------------------------------------------------------------------------
Index: LMDZ6/branches/Amaury_dev/libf/dynphy_lonlat/phylmd/etat0phys_netcdf.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dynphy_lonlat/phylmd/etat0phys_netcdf.F90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/dynphy_lonlat/phylmd/etat0phys_netcdf.F90	(revision 5117)
@@ -539,5 +539,5 @@
   do j=2,jmp1-1
      PRINT*,'avant if ',cos(rlatu(j)),coslat0
-     if (cos(rlatu(j))<coslat0) THEN
+     IF (cos(rlatu(j))<coslat0) THEN
          ! nb de pts affectes par le filtrage de part et d'autre du pt
          ifiltre=(coslat0/cos(rlatu(j))-1.)/2.
@@ -548,12 +548,12 @@
          wwf(ifiltre+1)=(coslat0/cos(rlatu(j))-1.)/2.-ifiltre
          do i=1,imp1-1
-            if (masque(i,j)>0.9) THEN
+            IF (masque(i,j)>0.9) THEN
                ssz=phis(i,j)
                do ifi=1,ifiltre+1
                   ii=i+ifi
-                  if (ii>imp1-1) ii=ii-imp1+1
+                  IF (ii>imp1-1) ii=ii-imp1+1
                   ssz=ssz+wwf(ifi)*phis(ii,j)
                   ii=i-ifi
-                  if (ii<1) ii=ii+imp1-1
+                  IF (ii<1) ii=ii+imp1-1
                   ssz=ssz+wwf(ifi)*phis(ii,j)
                enddo
Index: LMDZ6/branches/Amaury_dev/libf/dynphy_lonlat/phylmd/limit_netcdf.f90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dynphy_lonlat/phylmd/limit_netcdf.f90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/dynphy_lonlat/phylmd/limit_netcdf.f90	(revision 5117)
@@ -378,6 +378,6 @@
       REAL :: chmin, chmax, timeday, al
       INTEGER ierr, idx
-      integer n_extrap ! number of extrapolated points
-      logical skip
+      INTEGER n_extrap ! number of extrapolated points
+      LOGICAL skip
 
       !------------------------------------------------------------------------------
@@ -599,5 +599,5 @@
             CALL pchfe_95(timeyear, champtime(i, j, :), yder, skip, &
                     arth(0.5, real(ndays_in) / ndays, ndays), champan(i, j, :), ierr)
-            if (ierr < 0) CALL abort_physic("get_2Dfield", "", 1)
+            IF (ierr < 0) CALL abort_physic("get_2Dfield", "", 1)
             n_extrap = n_extrap + ierr
           END DO
Index: LMDZ6/branches/Amaury_dev/libf/dynphy_lonlat/phylmd/test_disvert_m.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dynphy_lonlat/phylmd/test_disvert_m.F90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/dynphy_lonlat/phylmd/test_disvert_m.F90	(revision 5117)
@@ -13,7 +13,7 @@
     ! the surface pressure, which sample possible values on Earth.
 
-    use exner_hyb_m, ONLY: exner_hyb
-    use lmdz_vertical_layers, ONLY: ap,bp,preff
-    use comconst_mod, ONLY: kappa, cpp
+    USE exner_hyb_m, ONLY: exner_hyb
+    USE lmdz_vertical_layers, ONLY: ap,bp,preff
+    USE comconst_mod, ONLY: kappa, cpp
     USE lmdz_abort_physic, ONLY: abort_physic
 
@@ -22,12 +22,12 @@
 
     ! Local:
-    integer l, i
-    integer, parameter:: ngrid = 7
-    real p(ngrid, llm + 1) ! pressure at half-level, in Pa
-    real pks(ngrid) ! exner function at the surface, in J K-1 kg-1 
-    real pk(ngrid, llm) ! exner function at full level, in J K-1 kg-1 
-    real ps(ngrid) ! surface pressure, in Pa
-    real p_lay(ngrid, llm) ! pressure at full level, in Pa
-    real delta_ps ! in Pa
+    INTEGER l, i
+    INTEGER, parameter:: ngrid = 7
+    REAL p(ngrid, llm + 1) ! pressure at half-level, in Pa
+    REAL pks(ngrid) ! exner function at the surface, in J K-1 kg-1
+    REAL pk(ngrid, llm) ! exner function at full level, in J K-1 kg-1
+    REAL ps(ngrid) ! surface pressure, in Pa
+    REAL p_lay(ngrid, llm) ! pressure at full level, in Pa
+    REAL delta_ps ! in Pa
 
     !---------------------
@@ -42,14 +42,14 @@
 
     ! Are pressure values in the right order?
-    if (any(p(:, :llm) <= p_lay .or. p_lay <= p(:, 2:))) THEN
+    IF (any(p(:, :llm) <= p_lay .OR. p_lay <= p(:, 2:))) THEN
        ! List details and stop:
        do l = 1, llm
           do i = 1, ngrid
-             if (p(i, l) <= p_lay(i, l)) THEN
+             IF (p(i, l) <= p_lay(i, l)) THEN
                 print 1000, "ps = ", ps(i) / 100., "hPa, p(level ",  l, &
                      ") = ", p(i, l) / 100., " hPa <= p(layer ", l, ") = ", &
                      p_lay(i, l) / 100., " hPa"
              end if
-             if (p_lay(i, l) <= p(i, l + 1)) THEN
+             IF (p_lay(i, l) <= p(i, l + 1)) THEN
                 print 1000, "ps = ", ps(i) / 100., "hPa, p(layer ", l, ") = ", &
                      p_lay(i, l) / 100., " hPa <= p(level ", l + 1, ") = ", &