Index: /LMDZ6/trunk/arch/arch-X64_JEANZAY.env
===================================================================
--- /LMDZ6/trunk/arch/arch-X64_JEANZAY.env	(revision 5120)
+++ /LMDZ6/trunk/arch/arch-X64_JEANZAY.env	(revision 5121)
@@ -1,57 +1,13 @@
+module purge
+module load intel-compilers/19.0.4
+module load intel-mkl/19.0.4
+module load hdf5/1.10.5-mpi
+module load netcdf/4.7.2-mpi
+module load netcdf-fortran/4.5.2-mpi
+module load netcdf95
+module load subversion/1.9.7
+module load cmake
 
-##############################################################
-# Gestion des modules
-##############################################################
-
-hostname=jean-zay4
-echo lmdz_env $hostname 0:3 ${hostname:0:3}
-
-case ${hostname:0:5} in
-
-        jean-) ARCH=X64_JEANZAY
-		module purge
-		compilo=19.0.4 # available 2013.0, 2017.2
-		module load intel-compilers/$compilo
-		#module load intel-mpi/$compilo
-		module load intel-mkl/$compilo
-		module load hdf5/1.10.5-mpi
-		module load netcdf/4.7.2-mpi
-		module load netcdf-fortran/4.5.2-mpi
-        module load netcdf95/0.3-mpi
-		module load subversion/1.9.7
-		#Pour module gcc, voir : https://trac.lmd.jussieu.fr/LMDZ/wiki/PortageJeanZay
-		#module load gcc/6.5.0
-                module load nco
-                module load cdo
-		# Imputation de la consommation sur le groupe (projet) actif par defaut,
-		#   idrproj indique le groupe (projet) actif par defaut
-		#   idrproj -d newproj   redefinit "newproj" en tant que  projet actif, 
-		#        alors $STORE, $WORK etc vont designer les espaces de "newproj")
-		groupe=`idrproj | grep active | awk '{ print $1}'`
-        groupe="nfl"
-		submit="sbatch -A ${groupe}@cpu "
-		run="srun --label -n "
-		# Espaces suivants definis par defaut en fonction du groupe actif,
-		#  par exemple : SCRATCHD=$SCRATCH is /gpfsstore/rech/$groupe/$login
-                #    * On peut aussi ne pas installer les scripts a la racine de STORE, 
-                #        mais dans STORED=$STORE/your_folder
-                STORED=$STORE
-		SCRATCHD=$SCRATCH
-		LMDZD=$WORK
-		nb_mpi_max=2000
-		nb_omp_max=20
-		#LMDZ_Init sur le $STORE du $groupe
-		LMDZ_Init=$STORE/LMDZ_Init ;;
-	*) ARCH=
-		submit=". "
-		run="mpirun -np "
-		SCRATCHD=~/TMP/SCRATCH
-		STORED=~/TMP/
-		LMDZD=~/TMP
-		nb_mpi_max=2
-		nb_omp_max=2
-		LMDZ_Init=~/LMDZ/LMDZ_Init
-esac
-
-
-echo LMDZ_Init dans lmdz_env $LMDZ_Init
+export FC=mpiifort
+export CPP="icc -E"
+export CC=icc
Index: /LMDZ6/trunk/arch/arch-X64_JEANZAY.path
===================================================================
--- /LMDZ6/trunk/arch/arch-X64_JEANZAY.path	(revision 5120)
+++ /LMDZ6/trunk/arch/arch-X64_JEANZAY.path	(revision 5121)
@@ -1,30 +1,21 @@
-# $Id$
-#NETCDF_LIBDIR="-L$NETCDFFORTRAN_LIBDIR -L$NETCDF_LIBDIR -lnetcdf -lnetcdff"
-#NETCDF_INCDIR=-I$NETCDFFORTRAN_INCDIR
-NETCDF_INCDIR=""
-NETCDF_LIBDIR=""
+NETCDF_INCDIR="-I$(nf-config --includedir) -I$(nc-config --includedir)"  # nc required for xios
+# Ugly hack for orchidee <=2.0
+NETCDF_LIBDIR="-L$(nf-config --flibs | sed -e "s/-L//")"
 NETCDF_LIB="-lnetcdff -lnetcdf"
+NETCDF95_INCDIR="-I$(pwd)/../../include"
+NETCDF95_LIBDIR="-L$(pwd)/../../lib"
+NETCDF95_LIB="-lnetcdf95"
 
-NETCDF95_INCDIR=-I$NETCDF95_ROOT/include/NetCDF95
-NETCDF95_LIBDIR=-L$NETCDF95_ROOT/lib
-NETCDF95_LIB=-lnetcdf95
-
-IOIPSL_INCDIR="-I$LMDGCM/../../lib -I$LMDGCM/../IOIPSL/inc"
-IOIPSL_LIBDIR="-L$LMDGCM/../../lib -L$LMDGCM/../IOIPSL/lib"
+# Exported
+IOIPSL_INCDIR="-I$(pwd)/../IOIPSL/inc -I$(pwd)/../IOIPSL/lib"
+IOIPSL_LIBDIR="-L$(pwd)/../IOIPSL/inc -L$(pwd)/../IOIPSL/lib"
 IOIPSL_LIB="-lioipsl"
 
-XIOS_INCDIR="-I$LMDGCM/../XIOS/inc"
-XIOS_LIBDIR="-L$LMDGCM/../XIOS/lib"
+# Exported
+XIOS_INCDIR="-I$(pwd)/../XIOS/inc"
+XIOS_LIBDIR="-L$(pwd)/../XIOS/lib"
 XIOS_LIB="-lxios -lstdc++"
 
-ORCH_INCDIR="-I$LMDGCM/../../lib"
-ORCH_LIBDIR="-L$LMDGCM/../../lib"
-ORCH_LIB=
-
-OASIS_INCDIR="-I$LMDGCM/../../oasis3-mct/BLD/build/lib/psmile.MPI1"
-OASIS_LIBDIR="-L$LMDGCM/../../oasis3-mct/BLD/lib"
-OASIS_LIB="-lpsmile.MPI1 -lscrip -lmct -lmpeu"
-
-INCA_INCDIR="-I$LMDGCM/../INCA/build/inc"
-INCA_LIBDIR="-L$LMDGCM/../INCA/build/lib"
-INCA_LIB="-lchimie"
+# Exported
+ORCH_INCDIR="-I$(pwd)/../ORCHIDEE/inc -I$(pwd)/../ORCHIDEE/lib"
+ORCH_LIBDIR="-L$(pwd)/../ORCHIDEE/inc -L$(pwd)/../ORCHIDEE/lib"