Index: LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/phys_output_write_spl_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/phys_output_write_spl_mod.F90	(revision 5119)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/phys_output_write_spl_mod.F90	(revision 5123)
@@ -1486,6 +1486,5 @@
                                                                                                                                                                                                                                                                                                                                     DO i = 1, klon
                                                                                                                                                                                                                                                                                                                                       IF (tnondef(i, k, iff - 6).NE.missing_val) THEN
-                                                                                                                                                                                                                                                                                                                                        IF (
-                                                                                                                                                                                                                                                                                                                                          freq_outNMC(iff-6).LT.0) THEN
+                                                                                                                                                                                                                                                                                                                                        IF (                                                                                                                                                                                                                                                                                                                                          freq_outNMC(iff-6).LT.0) THEN
                                                                                                                                                                                                                                                                                                                                           freq_moyNMC(iff-6) =(mth_len*un_jour)/freq_calNMC(iff-6)
                                                                                                                                                                                                                                                                                                                                           ELSE
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/iophy.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/iophy.F90	(revision 5119)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/iophy.F90	(revision 5123)
@@ -3,4 +3,5 @@
 
 MODULE iophy
+    USE lmdz_abort_physic, ONLY: abort_physic
 
 ! abd  REAL,PRIVATE,ALLOCATABLE,DIMENSION(:),save :: io_lat
@@ -809,5 +810,4 @@
     USE lmdz_print_control, ONLY: prt_level,lunout
     USE lmdz_grid_phy, ONLY: nbp_lon, nbp_lat
-    USE lmdz_abort_physic, ONLY: abort_physic
 
     IMPLICIT NONE
@@ -955,5 +955,4 @@
   USE lmdz_xios, ONLY: xios_send_field, xios_field_is_active, using_xios
   USE lmdz_print_control, ONLY: lunout, prt_level
-  USE lmdz_abort_physic, ONLY: abort_physic
 
   IMPLICIT NONE
@@ -1168,5 +1167,4 @@
   USE lmdz_xios, ONLY: xios_send_field, xios_field_is_active, using_xios
   USE lmdz_print_control, ONLY: prt_level,lunout
-  USE lmdz_abort_physic, ONLY: abort_physic
 
   IMPLICIT NONE
@@ -1365,5 +1363,4 @@
   USE lmdz_xios, ONLY: xios_send_field
   USE lmdz_print_control, ONLY: prt_level,lunout
-  USE lmdz_abort_physic, ONLY: abort_physic
 
   IMPLICIT NONE
@@ -1449,5 +1446,4 @@
   USE lmdz_grid_phy, ONLY: nbp_lon, nbp_lat, grid_type, unstructured
   USE lmdz_print_control, ONLY: prt_level,lunout
-  USE lmdz_abort_physic, ONLY: abort_physic
 
   IMPLICIT NONE
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/limit_read_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/limit_read_mod.F90	(revision 5119)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/limit_read_mod.F90	(revision 5123)
@@ -170,5 +170,5 @@
     USE phys_cal_mod, ONLY: calend, year_len
     USE lmdz_print_control, ONLY: lunout, prt_level
-    USE lmdz_xios, ONLY: xios_recv_field, using_xiosw
+    USE lmdz_xios, ONLY: xios_recv_field, using_xios
     USE lmdz_abort_physic, ONLY: abort_physic
     
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_thermcell_main.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_thermcell_main.F90	(revision 5119)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_thermcell_main.F90	(revision 5123)
@@ -7,6 +7,5 @@
 CONTAINS
 
-  SUBROUTINE thermcell_main
-    (itap, ngrid, nlay, ptimestep  &
+  SUBROUTINE thermcell_main(itap, ngrid, nlay, ptimestep  &
             , pplay,pplev, pphi, debut  &
             , puwind, pvwind,ptemp, p_o, ptemp_env, po_env  &
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_thermcell_old.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_thermcell_old.F90	(revision 5119)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_thermcell_old.F90	(revision 5123)
@@ -1,3 +1,5 @@
 MODULE lmdz_thermcell_old
+      USE lmdz_abort_physic, ONLY: abort_physic
+
 CONTAINS
 
@@ -10,5 +12,4 @@
     USE lmdz_thermcell_dv2, ONLY: thermcell_dv2
     USE lmdz_thermcell_dq, ONLY: thermcell_dq
-    USE lmdz_abort_physic, ONLY: abort_physic
     IMPLICIT NONE
 
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/pbl_surface_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/pbl_surface_mod.F90	(revision 5119)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/pbl_surface_mod.F90	(revision 5123)
@@ -256,6 +256,5 @@
   !****************************************************************************************
 
-  SUBROUTINE pbl_surface
-    ( &
+  SUBROUTINE pbl_surface( &
             dtime, date0, itap, jour, &
             debut,     lafin, &
@@ -4186,6 +4185,5 @@
   !****************************************************************************************
 
-  SUBROUTINE pbl_surface_final
-    (fder_rst, snow_rst, qsurf_rst, ftsoil_rst &
+  SUBROUTINE pbl_surface_final(fder_rst, snow_rst, qsurf_rst, ftsoil_rst &
 #ifdef ISO
        ,xtsnow_rst,Rland_ice_rst &
@@ -4259,6 +4257,5 @@
 
   !albedo SB >>>
-  SUBROUTINE pbl_surface_newfrac
-    (itime, pctsrf_new, pctsrf_old, &
+  SUBROUTINE pbl_surface_newfrac(itime, pctsrf_new, pctsrf_old, &
             evap, z0m, z0h, agesno, &
             tsurf, alb_dir, alb_dif, ustar, u10m, v10m, tke &
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/slab_heat_transp_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/slab_heat_transp_mod.F90	(revision 5119)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/slab_heat_transp_mod.F90	(revision 5123)
@@ -986,4 +986,6 @@
     ! computes the divergence of a vector field of components
     ! x,y. x and y being covariant components
+    USE lmdz_ssum_scopy, ONLY: ssum
+
     IMPLICIT NONE
 
@@ -998,5 +1000,4 @@
     REAL :: aiy1(nbp_lon + 1), aiy2(nbp_lon + 1)
     REAL :: sumypn, sumyps
-    REAL, EXTERNAL :: SSUM
 
     iim = nbp_lon
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/surf_landice_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/surf_landice_mod.F90	(revision 5119)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/surf_landice_mod.F90	(revision 5123)
@@ -7,6 +7,5 @@
   !****************************************************************************************
 
-  SUBROUTINE surf_landice
-    (itime, dtime, knon, knindex, &
+  SUBROUTINE surf_landice(itime, dtime, knon, knindex, &
             rlon, rlat, debut, lafin, &
             rmu0, lwdownm, albedo, pphi1, &
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/surf_ocean_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/surf_ocean_mod.F90	(revision 5119)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/surf_ocean_mod.F90	(revision 5123)
@@ -9,6 +9,5 @@
   !******************************************************************************
 
-  SUBROUTINE surf_ocean
-    (rlon, rlat, swnet, lwnet, alb1, &
+  SUBROUTINE surf_ocean(rlon, rlat, swnet, lwnet, alb1, &
             windsp, rmu0, fder, tsurf_in, &
             itime, dtime, jour, knon, knindex, &