Index: LMDZ6/branches/Amaury_dev/libf/dynphy_lonlat/calfis.f90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dynphy_lonlat/calfis.f90	(revision 5123)
+++ LMDZ6/branches/Amaury_dev/libf/dynphy_lonlat/calfis.f90	(revision 5128)
@@ -37,4 +37,5 @@
   USE lmdz_ssum_scopy, ONLY: scopy, ssum
 
+
   IMPLICIT NONE
   !=======================================================================
Index: LMDZ6/branches/Amaury_dev/libf/dynphy_lonlat/gr_dyn_fi.f90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dynphy_lonlat/gr_dyn_fi.f90	(revision 5123)
+++ LMDZ6/branches/Amaury_dev/libf/dynphy_lonlat/gr_dyn_fi.f90	(revision 5128)
@@ -3,4 +3,5 @@
 SUBROUTINE gr_dyn_fi(nfield, im, jm, ngrid, pdyn, pfi)
   USE lmdz_ssum_scopy, ONLY: scopy
+
 
   IMPLICIT NONE
Index: LMDZ6/branches/Amaury_dev/libf/dynphy_lonlat/grid_atob_m.f90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dynphy_lonlat/grid_atob_m.f90	(revision 5123)
+++ LMDZ6/branches/Amaury_dev/libf/dynphy_lonlat/grid_atob_m.f90	(revision 5128)
@@ -209,4 +209,5 @@
 ! Purpose: Compute rugosity due to orography by using standard dev in a 1x1 cell
 !-------------------------------------------------------------------------------
+
   IMPLICIT NONE
 !-------------------------------------------------------------------------------
Index: LMDZ6/branches/Amaury_dev/libf/dynphy_lonlat/lmdz_calfis_loc.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dynphy_lonlat/lmdz_calfis_loc.F90	(revision 5123)
+++ LMDZ6/branches/Amaury_dev/libf/dynphy_lonlat/lmdz_calfis_loc.F90	(revision 5128)
@@ -52,4 +52,5 @@
     USE lmdz_iniprint, ONLY: lunout, prt_level
     USE lmdz_ssum_scopy, ONLY: ssum
+
 
 
Index: LMDZ6/branches/Amaury_dev/libf/dynphy_lonlat/phylmd/callphysiq_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dynphy_lonlat/phylmd/callphysiq_mod.F90	(revision 5123)
+++ LMDZ6/branches/Amaury_dev/libf/dynphy_lonlat/phylmd/callphysiq_mod.F90	(revision 5128)
@@ -23,4 +23,6 @@
   USE physiq_mod, ONLY: physiq
   USE lmdz_xios, ONLY: xios_set_current_context, xios_get_current_context, xios_context
+
+
   IMPLICIT NONE
 
Index: LMDZ6/branches/Amaury_dev/libf/dynphy_lonlat/phylmd/ce0l.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dynphy_lonlat/phylmd/ce0l.F90	(revision 5123)
+++ LMDZ6/branches/Amaury_dev/libf/dynphy_lonlat/phylmd/ce0l.F90	(revision 5128)
@@ -46,4 +46,5 @@
   USE lmdz_mpi
   USE lmdz_iniprint, ONLY: lunout, prt_level
+
 
   IMPLICIT NONE
Index: LMDZ6/branches/Amaury_dev/libf/dynphy_lonlat/phylmd/etat0dyn_netcdf.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dynphy_lonlat/phylmd/etat0dyn_netcdf.F90	(revision 5123)
+++ LMDZ6/branches/Amaury_dev/libf/dynphy_lonlat/phylmd/etat0dyn_netcdf.F90	(revision 5128)
@@ -204,5 +204,6 @@
   SUBROUTINE startget_dyn3d(var, lon_in, lat_in, pls, workvar, &
           champ, lon_in2, lat_in2)
-    !-------------------------------------------------------------------------------
+
+
     IMPLICIT NONE
     !===============================================================================
@@ -396,4 +397,5 @@
     USE lmdz_libmath, ONLY: minmax
 
+
     IMPLICIT NONE
     !-------------------------------------------------------------------------------
Index: LMDZ6/branches/Amaury_dev/libf/dynphy_lonlat/phylmd/limit_netcdf.f90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dynphy_lonlat/phylmd/limit_netcdf.f90	(revision 5123)
+++ LMDZ6/branches/Amaury_dev/libf/dynphy_lonlat/phylmd/limit_netcdf.f90	(revision 5128)
@@ -653,7 +653,7 @@
 
     SUBROUTINE start_init_orog0(lon_in, lat_in, phis, masque)
-
-      !-------------------------------------------------------------------------------
       USE grid_noro_m, ONLY: grid_noro0
+
+
       IMPLICIT NONE
       !===============================================================================